Package: org.apache.groovy.util

## [Java] Class ObjectHolder<T>

- org.apache.groovy.util.ObjectHolder

-     public class ObjectHolder<T>
      extends Object

  Just hold an object

  Type Parameters:
    `T` - the type of object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectHolder()`
    `ObjectHolder(T object)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `getObject()`
    `` | `public T` | `getObject(Supplier<? extends T> def)`
    `` | `public void` | `setObject(T object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ObjectHolder()

    - #### public ObjectHolder(T object)

  - ### Method Detail

    - #### public T getObject()

    - #### public T getObject(Supplier<? extends T> def)

    - #### public void setObject(T object)